Subject: Re: bug#71866: 30.0.50; [macOS] Cursor hiding char behind it with certain theme customization

From: Dmitry Gutov <[email-masked]>
Date: Wed, 24 Jul 2024 17:34:18 +0300

On 24/07/2024 14:32, Eli Zaretskii wrote:
>> Date: Wed, 24 Jul 2024 03:48:22 +0300
>> Cc:[email-masked],[email-masked]
>> From: Dmitry Gutov<[email-masked]>
>>
>> On 23/07/2024 14:19, Eli Zaretskii wrote:
>>>> TBF in my custom config I see a more advanced version of this (many/most
>>>> characters become blank under cursor after switching to some secondary
>>>> frame) - but still that doesn't seem to happen in non-selected frames.
>>> That sounds like clipping to me.  (It should be followed by drawing in
>>> the clipped region, but for some reason isn't.)  Emacs sometimes clips
>>> and clears a region around the cursor if it thinks redrawing the
>>> cursor will affect neighboring characters.
>> Just to clarify: in each of those cases only one char is blanked at a
>> time
> Then I don't understand what you mean by "many/most characters become
> blank under cursor".  It seems to contradict what you say now: that
> "only one char is blanked".

In the recipe I managed to produce starting with 'emacs -Q', only 's' is 
such a character (see the original description). When point is over 'a' 
or 'd', no bug.

In actual practice, many/all characters exhibit the problem, I just 
haven't managed to create a simple repro for this.